aboutsummaryrefslogblamecommitdiffstats
path: root/main/ruby-polyglot/APKBUILD
blob: 9fd9d88c38d00f0edcf801b57b59062c0b99601e (plain) (tree)


































                                                                   
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=polyglot
pkgname=ruby-$_gemname
pkgver=0.3.3
pkgrel=0
pkgdesc="Augment 'require' to load non-ruby file types"
url="https://github.com/cjheath/polyglot"
arch="noarch"
license="MIT"
depends="ruby"
depends_dev=
makedepends="$depends_dev ruby-gems"
install=""
subpackages=""
source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"

_builddir="$srcdir"/$_realname-$pkgver
build() {
	return 0
}

package() {
	local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
	local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
	mkdir -p "$pkgdir" || return 1

	gem install --local --install-dir "$pkgdir"/$_gemdir \
		--ignore-dependencies --verbose --no-rdoc --no-ri \
		"$srcdir"/$_gemname-$pkgver.gem || return 1
	rm -rf "$pkgdir"/$_gemdir/cache \
		"$pkgdir"/$_geminstdir/ext \
		"$pkgdir"/$_geminstdir/.require_paths
}

md5sums="01e313080095caf4dc7ab71fd572a377  polyglot-0.3.3.gem"